# [BETA] Get all signal endpoint tokens for a specific signal endpoint. GET https://app.unleash-instance.example.com/api/admin/signal-endpoints/{signalEndpointId}/tokens **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of all configured signal endpoint tokens for a specific signal endpoint, identified by its id. Reference: https://docs.getunleash.io/api/get-signal-endpoint-tokens ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: admin-api version: 1.0.0 paths: /api/admin/signal-endpoints/{signalEndpointId}/tokens: get: operationId: get-signal-endpoint-tokens summary: '[BETA] Get all signal endpoint tokens for a specific signal endpoint.' description: >- **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of all configured signal endpoint tokens for a specific signal endpoint, identified by its id. tags: - subpackage_operational parameters: - name: signalEndpointId in: path required: true schema: type: string - name: Authorization in: header description: API key needed to access this API required: true schema: type: string responses: '200': description: '#/components/schemas/signalEndpointTokensSchema' content: application/json: schema: $ref: '#/components/schemas/signalEndpointTokensSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: application/json: schema: $ref: >- #/components/schemas/GetSignalEndpointTokensRequestUnauthorizedError servers: - url: https://app.unleash-instance.example.com components: schemas: signalEndpointTokenSchema: type: object properties: id: type: integer description: >- The signal endpoint token's ID. Signal endpoint token IDs are incrementing integers. In other words, a more recently created signal endpoint token will always have a higher ID than an older one. token: type: string description: >- The token used for authentication. It is automatically generated by Unleash when the token is created and that is the only time this property is returned. name: type: string description: The signal endpoint token name. signalEndpointId: type: integer description: The signal endpoint ID that this token belongs to. createdAt: type: string format: date-time description: The date and time of when the signal endpoint token was created. createdByUserId: type: integer description: The ID of the user that created this signal endpoint token. required: - id - name - signalEndpointId - createdAt - createdByUserId description: An object describing a signal endpoint token. title: signalEndpointTokenSchema signalEndpointTokensSchema: type: object properties: signalEndpointTokens: type: array items: $ref: '#/components/schemas/signalEndpointTokenSchema' description: A list of signal endpoint tokens. required: - signalEndpointTokens description: A response model with a list of signal endpoint tokens. title: signalEndpointTokensSchema GetSignalEndpointTokensRequestUnauthorizedError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: GetSignalEndpointTokensRequestUnauthorizedError securitySchemes: apiKey: type: apiKey in: header name: Authorization description: API key needed to access this API bearerToken: type: http scheme: bearer description: API key needed to access this API, in Bearer token format ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```